Bug 681949 - net-snmp logs "truncating integer value > 32 bits" for ssIORawSent and ssIORawReceived
Summary: net-snmp logs "truncating integer value > 32 bits" for ssIORawSent and ssIORa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp
Version: 6.0
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-03 16:59 UTC by Scott Merrill
Modified: 2014-03-06 13:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The previous version of snmpd, the Net-SNMP agent, gathered disk IO and CPU usage statistics for UCD-SNMP::systemStats as 64bit on 64bit systems. Appropriate MIB describes these statistics as 32bit and snmpd reported "truncating integer value > 32 bits" to system log when processing the 64bit values. snmpd in updated packages collects values of UCD-SNMP::systemStats as 32bit integers and thus does not report aforementioned message to syslog. (BZ#681949).
Clone Of:
Environment:
Last Closed: 2011-12-06 17:11:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1524 0 normal SHIPPED_LIVE net-snmp bug fix update 2011-12-06 01:02:35 UTC

Description Scott Merrill 2011-03-03 16:59:08 UTC
Description of problem:
We have a RHEL6 x86_64 server onto which we've installed RT, and imported several hundred gigs of email for an audit. We have backed up and restored the RT database a couple times to ensure that backups and restores are successful. As such, we've written and read an enormous amount of data to the SAN volume which holds the database.

We use Zenoss to monitor this server, and during every polling cycle we get the following error in /var/log/messages:

Mar  3 11:49:07 servername snmpd[17720]: truncating integer value > 32 bits

Using snmpwalk we have identified that the error occurs only when querying the following OIDs:
  1.3.6.1.4.1.2021.11.57.0
  1.3.6.1.4.1.2021.11.58.0

Version-Release number of selected component (if applicable):
  net-snmp-libs-5.5-27.el6_0.1.x86_64
  net-snmp-5.5-27.el6_0.1.x86_64
  net-snmp-utils-5.5-27.el6_0.1.x86_64


How reproducible:
Fully reproducible. Every time an SNMP query hits either ssIORawSent or ssIORawReceived the error will be logged.


Steps to Reproduce:
1. snmpwalk -v 1 -c foobar 1.2.3.4 1.3.6.1.4.1.2021.11.57.0
2. snmpwalk -v 1 -c foobar 1.2.3.4 1.3.6.1.4.1.2021.11.58.0
3. repeat the above two commands with -v 2c, too
  
Actual results:
snmpd[17720]: truncating integer value > 32 bits

Expected results:
no error

Additional info:
It looks like this may be related to the following two closed bugs:
  https://bugzilla.redhat.com/show_bug.cgi?id=202584
  https://bugzilla.redhat.com/show_bug.cgi?id=528164

I suspect that a reboot of the server will clear up these errors, and we're not likely to generate this much disk I/O again any time soon, so this is not a critical error; but it seems like the kind of thing that net-snmp should account for properly.

Comment 3 Jan Safranek 2011-03-04 15:25:59 UTC
I fixed it upstream: http://net-snmp.svn.sourceforge.net/viewvc/net-snmp?view=revision&revision=20061

Comment 7 Jan Safranek 2011-08-11 11:32:28 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The previous version of snmpd, the Net-SNMP agent, gathered disk IO and CPU usage statistics for UCD-SNMP::systemStats as 64bit on 64bit systems. Appropriate MIB describes these statistics as 32bit and snmpd reported "truncating integer value > 32 bits" to system log when processing the 64bit values. snmpd in updated packages collects values of UCD-SNMP::systemStats as 32bit integers and thus does not report aforementioned message to syslog. (BZ#681949).

Comment 12 errata-xmlrpc 2011-12-06 17:11:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1524.html


Note You need to log in before you can comment on or make changes to this bug.